aboutsummaryrefslogtreecommitdiff
path: root/support/dependencies/dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/dependencies/dependencies.sh')
-rwxr-xr-xsupport/dependencies/dependencies.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 44e212dd2c..52305e1089 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -227,7 +227,7 @@ if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $BR2_CONFIG ; then
fi
if grep -q ^BR2_HOSTARCH_NEEDS_IA32_COMPILER=y $BR2_CONFIG ; then
- if ! echo "int main(void) {}" | gcc -m32 -x c - -o /dev/null ; then
+ if ! echo "int main(void) {}" | gcc -m32 -x c - -o /dev/null 2>/dev/null; then
echo
echo "Your Buildroot configuration needs a compiler capable of building 32 bits binaries."
echo "If you're running a Debian/Ubuntu distribution, install the gcc-multilib package."